Skip to main content
POST
/fetch

Get your API key

Create a Linkup account for free to get your API key.
For when to set renderJs, includeRawHtml, and extractImages, see the Fetch overview.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
url
string<uri>
required

The URL of the webpage you want to fetch.

Example:

"https://docs.linkup.so"

extractImages
default:false

Defines whether the API should extract the images from the webpage in its response.

Example:

false

includeRawContent
default:false

Defines whether the API should include the raw page content and its content type in the response.

Example:

false

includeRawHtml
default:false
deprecated

Deprecated. Use includeRawContent instead. Defines whether rawHtml is returned for non-LinkedIn HTML pages.

Example:

false

renderJs
default:false

Defines whether the API should render the JavaScript of the webpage.

Example:

false

Response

Successful response

markdown
string
required

The clean markdown version of the webpage.

Example:

"Get started for free, no credit card required..."

contentType
string

The type of rawContent. Present only when rawContent is returned.

Example:

"html"

images
object[]

List of images extracted from the webpage.

Example:
rawContent
string

The raw page content.

Example:

"<!DOCTYPE html><html lang=\"en\"><head>...</head><body>...</body></html>"

rawHtml
string
deprecated

The raw HTML version of the webpage.

Example:

"<!DOCTYPE html><html lang=\"en\"><head>...</head><body>...</body></html>"